Subject: Re: [Isis-wg] Clarification..

From: Henk Smit <[email-masked]>
Date: Thu, 20 Apr 2000 10:37:50 -0700 (PDT)

> Thanks for the reponse.
> I still have one doubt.. Can we use these addresses advetised in LSP TLV's 
> for next hop addresses.Since these addresses have no specific mapping to 
> the IP reachability information.
> Please correct me if I'm wrong.

  Ai, sorry, I was to quick in my reply.
 The IP interface address TLV (TLV #132) I was talking about are the IP
 interface address TLVs used in *hellos*. Not in LSPs.

  In LSPs there is the same TLV (TLV #132). But those have no practical use.
 And you are not supposed to use them in your routing calculations.
 The easiest thing is to just ignore them during your SPF computation.

  Sorry about the confusion,

     Henk.

> Thanx
> Navaneeth
> 
> -----Original Message-----
> From:	Henk Smit [SMTP:[email-masked]]
> Sent:	Thursday, April 20, 2000 10:51 PM
> To:	[email-masked]
> Cc:	[email-masked]'
> Subject:	Re: [Isis-wg] Clarification..
> 
> 
> > In the case of processing of the LSPs in integrated ISIS , used for
> > IP forwarding, How are the interface addresses (4 octet Values
> > without mask) in the TLVs used in route tabel calculation.  Can any
> > of you help out on how these i/f addresses are used?
> 
>   They are not used for calculating the topology.
>  The interface IP addresses are only used to determine the IP address
>  of the first next-hop on the path to each destination. When you
>  build a routing table, most implementations have entries there that
>  look like:
>     destination IP prefix, mask, outgoing interface, next-hop IP address
> 
>   For p2p interfaces you don't really need the next-hop IP address, the
>  interface should be enough info. But for LANs it is much more convenient
>  (though in theory the MAC address of the next-hop should be enough).
> 
>     Hope this helps,
> 
>        Henk.
> 

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg